require '4e_analysis'

class Soldier < Creature
	def name; "Soldier" end
	def max_hp; 29 end
	def max_surges; 1 end
	def ac; 17 end
	def power_list; [SoldierBasicAttack] end
end

class SoldierBasicAttack < Attack
	include AtWillFrequency

	def name; "Soldier Basic Attack" end
	def action_type; :standard end
	def attack_roll; 1.d20+8 end
	def hit_effect; 1.d10+3 end
end